Page MenuHomePhabricator

Increase test coverage for non-View files with 0% coverage
Closed, ResolvedPublic1 Story Points

Description

According to https://www.mediawiki.org/wiki/Reading/Web/Projects/Invest_in_the_MobileFrontend_%26_MinervaNeue_frontend_architecture/Progress?useskin=vector several modules have no unit tests.

Let's add some.

Acceptance criteria

  • mobile.startup/context.js has unit tests (hopefully 100% coverage)
  • mobile.startup/icons.js has unit tests (hopefully 100% coverage)

Sign off steps

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 10 2018, 8:14 PM
Jdlrobson triaged this task as High priority.Oct 18 2018, 8:29 PM
Jdlrobson updated the task description. (Show Details)Oct 23 2018, 4:53 PM
Jdlrobson set the point value for this task to 1.
Jdlrobson updated the task description. (Show Details)Oct 23 2018, 11:12 PM

Change 472069 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Add tests for context.js

https://gerrit.wikimedia.org/r/472069

Change 472070 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Add test coverage for the icons helper functions

https://gerrit.wikimedia.org/r/472070

Change 472071 had a related patch set uploaded (by Jdlrobson; owner: Jdlrobson):
[mediawiki/extensions/MobileFrontend@master] Release new dist files

https://gerrit.wikimedia.org/r/472071

Change 472071 abandoned by Jdlrobson:
Release new dist files

https://gerrit.wikimedia.org/r/472071

Change 472069 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add tests for context.js

https://gerrit.wikimedia.org/r/472069

Change 472070 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Add test coverage for the icons helper functions

https://gerrit.wikimedia.org/r/472070

pmiazga claimed this task.Nov 12 2018, 6:10 PM
nray claimed this task.Nov 13 2018, 6:34 PM
nray added a subscriber: pmiazga.
Jdlrobson updated the task description. (Show Details)Nov 13 2018, 6:37 PM
nray added a comment.Nov 13 2018, 9:05 PM

100% test coverage for icons.js and context.js!

nray closed this task as Resolved.Nov 13 2018, 9:06 PM
nray removed nray as the assignee of this task.
nray added a subscriber: nray.